<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <title>fwGeneral</title>
  <meta http-equiv="Content-Type"
 content="text/html; charset=utf-8">
  <meta content="Manuel Gonzalez Berges" name="author">
</head>
<body>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr>
      <td
 style="vertical-align: top; background-color: rgb(51, 204, 0);"><span
 style="font-weight: bold;">Component Name</span><br>
      </td>
      <td colspan="1" rowspan="1"
 style="vertical-align: top; text-align: center;"><span
 style="font-weight: bold;">fwGeneral</span><br>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00" width="22%"><strong>Description<br>
      </strong></td>
      <td colspan="1" width="78%">
      <p>This component provides a set of libraries and panels of
general purpose to be used by other components.<br>
      </p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Dependencies<br>
      </strong></td>
      <td colspan="1">None<br>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Additional software required<br>
      </strong></td>
      <td colspan="1">None<br>
      <ul>
        <ul>
        </ul>
      </ul>
      </td>
    </tr>
  </tbody>
</table>
<br>
<br>
<table style="width: 95%;" border="1">
  <tbody>
    <tr>
      <td colspan="2" rowspan="1"
 style="vertical-align: top; background-color: rgb(51, 204, 0);"><span
 style="font-weight: bold;">Panels</span><span
 style="font-weight: bold;"></span><br>
      </td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">Choose which browser will be used to display
Framework help.<br>
      </td>
      <td style="width: 50%;" colspan="1"><a
 href="panels/fwGeneral/fwGeneralSystemSettings.htm">fwGeneralSystemSettings.pnl</a><br>
      </td>
    </tr>
  </tbody>
</table>
<br>
<br>
<table style="width: 95%;" border="1">
  <tbody>
    <tr>
      <td colspan="2" rowspan="1"
 style="vertical-align: top; background-color: rgb(51, 204, 0);"><span
 style="font-weight: bold;">Libraries</span><span
 style="font-weight: bold;"></span><br>
      </td>
    </tr>
    <tr>
      <td style="vertical-align: top;">Global help with all functions
in the component library<br>
      </td>
      <td style="vertical-align: top;"><a
 href="scripts/libs/globals.html">All functions in fwGeneral</a><br>
      </td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">Library with functions to link the colour of
graphical objects to the status (alarm, invalid) of datapoint elements.<br>
      </td>
      <td style="width: 50%;" colspan="1"><a
 href="scripts/libs/fwColour_8ctl.html">fwColour.ctl</a><br>
      </td>
    </tr>
    <tr valign="top">
      <td style="background-color: rgb(255, 255, 255); width: 50%;"
 bgcolor="#00cc00">Library with functions to display in a table the
value and status (alarm, invalid) of datapoint elements. </td>
      <td style="width: 50%;" colspan="1"><a
 href="scripts/libs/fwColourTable_8ctl.html">fwColourTable.ctl</a>
      </td>
    </tr>
    <tr>
      <td style="vertical-align: top;">Library with function to raise
exceptions.<br>
      </td>
      <td style="vertical-align: top;"><a
 href="scripts/libs/fwException_8ctl.html">fwException.ctl</a></td>
    </tr>
    <tr>
      <td style="vertical-align: top;">Library with functions to
display and log exceptions.<br>
      </td>
      <td style="vertical-align: top;"><a
 href="scripts/libs/fwExceptionHandling_8ctl.html">fwExceptionHandling.ctl</a></td>
    </tr>
    <tr>
      <td style="vertical-align: top;">Library with functions for WinCCOA Manager handling<br>
      </td>
      <td style="vertical-align: top;"><a
 href="scripts/libs/fwManager_8ctl.html">fwManager.ctl</a></td>
    </tr>
    <tr>
      <td style="vertical-align: top;">Library with functions for screenshot taking<br>
      </td>
      <td style="vertical-align: top;"><a
 href="scripts/libs/fwScreenShot_8ctl.html">fwScreenShot.ctl</a></td>
    </tr>
    <tr>
      <td style="vertical-align: top;">Library with functions for embedded web browser<br>
      </td>
      <td style="vertical-align: top;"><a
 href="scripts/libs/fwWebBrowser_8ctl.html">fwWebBrowser.ctl</a></td>
    </tr>
    <tr>
      <td style="vertical-align: top;">Library with generic functions
for:<br>
      <ul>
        <li>manipulating lists</li>
        <li>getting information about a system (e.g. IP address, name)</li>
        <li>get/set global variables</li>
        <li>select dp types</li>
        <li>open panels with messages for users<br>
        </li>
      </ul>
      </td>
      <td style="vertical-align: top;"><a
 href="scripts/libs/fwGeneral_8ctl.html">fwGeneral.ctl</a></td>
    </tr>
  </tbody>
</table>
<br>
</body>
</html>
